rect.hclust {stats} | R Documentation

## Draw Rectangles Around Hierarchical Clusters

### Description

Draws rectangles around the branches of a dendrogram highlighting the corresponding clusters. First the dendrogram is cut at a certain level, then a rectangle is drawn around selected branches.

### Usage

    rect.hclust(tree, k = NULL, which = NULL, x = NULL, h = NULL,
                border = 2, cluster = NULL)

### Arguments

`tree` | an object of the type produced by `hclust`.
`k, h` | Scalar. Cut the dendrogram such that either exactly `k` clusters are produced or by cutting at height `h`.
`which, x` | A vector selecting the clusters around which a rectangle should be drawn. `which` seleccts clusters by number (from left to right in the tree), `x` selects clusters containing the respective horizontal coordinates. Default is `which = 1:k`.
`border` | Vector with border colors for the rectangles.
`cluster` | Optional vector with cluster memberships as returned by `cutree(hclust.obj, k = k)`, can be specified for efficiency if already computed.

### Value

(Invisibly) returns a list where each element contains a vector of data points contained in the respective cluster.

### See Also

`hclust`, `identify.hclust`.

### Examples

    hca <- hclust(dist(USArrests))
    plot(hca)
    rect.hclust(hca, k=3, border="red")
    x <- rect.hclust(hca, h=50, which=c(2,7), border=3:4)
    x

[Package stats version 2.4.1 Index]